/*
 * sfp-machine.h: fake one to support conversions between
 * 32-bit integers and single-precision floats
 */
#ifndef _SFP_MACHINE_H
#define _SFP_MACHINE_H

#warning "arch has no sfp-machine.h, using fake one"

#define _FP_W_TYPE_SIZE	32
#define _FP_W_TYPE	unsigned int
#define _FP_WS_TYPE	signed int
#define _FP_I_TYPE	int

#define _FP_KEEPNANFRACP 1

#define _FP_NANFRAC_S	((_FP_QNANBIT_S << 1) - 1)
#define _FP_NANSIGN_S	0

/* bug fix: <linux/math-emu/soft-fp.h> should default FP_EX_UNDERFLOW
   to 0 not empty like it does for the other exception flags */
#define FP_EX_UNDERFLOW	0

#endif /* _SFP_MACHINE_H */
